---
sidebar_label: Target.type
---

# Target.type() method

Identifies what kind of target this is.

#### Signature:

```typescript
class Target {
  type(): TargetType;
}
```

**Returns:**

[TargetType](./puppeteer.targettype.md)

## Remarks

See [docs](https://developer.chrome.com/extensions/background_pages) for more info about background pages.
